Gecode::Set::Int Namespace Reference

Propagators connecting set and int variables. More...

## Classes

class | MinElement
| Propagator for minimum element More...
class | NotMinElement
| Propagator for not minimum element More...
class | ReMinElement
| Propagator for reified minimum element More...
class | MaxElement
| Propagator for maximum element More...
class | NotMaxElement
| Propagator for not maximum element More...
class | ReMaxElement
| Reified propagator for maximum element More...
class | Card
| Propagator for cardinality More...
class | Weights
| Propagator for weight of a set More...
class | OverweightValues
| Value Iterator for values above a certain weight. More...
class | IntLess
| Sort order for integers. More...

## Functions

void | remin (Home home, SetVar s, IntVar m, Reify r)
| Reify m to be the minimum of s.
void | remax (Home home, SetVar s, IntVar m, Reify r)
| Reify m to be the maximum of s.
template<class I>
int | weightI (SharedArray< int > &elements, SharedArray< int > &weights, I &iter)
| Compute the weight of the elements in the iterator I.

## Detailed Description

Propagators connecting set and int variables.

## Function Documentation

## remin()

void Gecode::Set::Int::remin | ( | Home | home,
|  | SetVar | s,
|  | IntVar | m,
|  | Reify | r )

Reify m to be the minimum of s.

Definition at line 108 of file int.cpp.

## remax()

void Gecode::Set::Int::remax | ( | Home | home,
|  | SetVar | s,
|  | IntVar | m,
|  | Reify | r )

Reify m to be the maximum of s.

Definition at line 120 of file int.cpp.

## weightI()

template<class I>

int Gecode::Set::Int::weightI | ( | SharedArray< int > & | elements,
|  | SharedArray< int > & | weights,
|  | I & | iter )

inline

Compute the weight of the elements in the iterator I.

Definition at line 217 of file weights.hpp.